<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    >


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/verdnatura_black">


        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/scan_input"
            style="@style/ScanLineTextSearch"
            android:layout_width="match_parent"
            android:hint="@string/Escaneaetiqueta"
            android:inputType="textVisiblePassword"
            android:lines="1"
            android:maxLines="1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@+id/main_toolbar" />


        <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <Button
                android:id="@+id/button_print_template"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:text="Print template" />

            <Button
                android:id="@+id/button_print_all"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:text="Print all data" />

            <Button
                android:id="@+id/button_print_zpl"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:text="Print all ZPL" />
            <Button
                android:id="@+id/button_print_status"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:text="Print status" />
            <Button
                android:id="@+id/button_print_disconnect"
                android:layout_width="200dp"
                android:layout_height="wrap_content"
                android:text="Print disconnect" />

            <Button
                android:id="@+id/button_img_to_pdf"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Image to pdf" />

            <ImageView
                android:id="@+id/imageView"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:visibility="visible"
                app:srcCompat="@drawable/alpha_b_circle_outline" />
        </LinearLayout>

        <LinearLayout

            android:id="@+id/splash_progress"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/verdnatura_black_8_alpha_6"
            android:gravity="center"
            android:orientation="vertical"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"

            app:layout_constraintTop_toTopOf="parent">

            <com.airbnb.lottie.LottieAnimationView
                android:layout_width="wrap_content"
                android:layout_height="@dimen/verdnatura_logo_large_height"
                app:lottie_autoPlay="true"
                app:lottie_loop="true"
                app:lottie_rawRes="@raw/orange_loading"
                app:lottie_speed="2" />


        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>